Name:          ocaml-dtools
Version:       0.4.5
Release:       2mamba
Summary:       OCaml modules for writing daemons
Group:         Development/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/savonet/ocaml-dtools
Source:        https://github.com/savonet/ocaml-dtools.git/v%{version}/ocaml-dtools-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: ocaml
BuildRequires: ocaml-runtime
## AUTOBUILDREQ-END
BuildRequires: ocaml >= 4.14.1
BuildRequires: dune

%package devel
Group:         Development/Libraries/OCaml
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and signature files for developing applications that use %{name}.

%debug_package

%description
OCaml daemon tools library.

%prep
%setup -q

%build
dune build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
DESTDIR="%{buildroot}" dune install --prefix "/usr" --libdir "%{_libdir}/ocaml"

rm -rf %{buildroot}/usr/doc

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%dir %{_libdir}/ocaml/dtools
%{_libdir}/ocaml/dtools/*
%exclude %{_libdir}/ocaml/dtools/dtools.a
%exclude %{_libdir}/ocaml/dtools/dtools.cmx
%exclude %{_libdir}/ocaml/dtools/dtools.cmxa
%doc COPYING

%files devel
%defattr(-,root,root)
%{_libdir}/ocaml/dtools/dtools.a
%{_libdir}/ocaml/dtools/dtools.cmx
%{_libdir}/ocaml/dtools/dtools.cmxa
%doc CHANGES README.md

%changelog
* Thu Jul 06 2023 Sdk Build System <sdk@mambasoft.it> 0.4.5-2mamba
- rebuilt with ocaml 4.14.1

* Sat Jul 01 2023 Automatic Build System <autodist@mambasoft.it> 0.4.5-1mamba
- automatic version update by autodist

* Sat Jul 01 2023 Sdk Build System <sdk@mambasoft.it> 0.4.4-2mamba
- rebuilt with ocaml 5.0.0

* Sun Jan 30 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.4-1mamba
- update to 0.4.4

* Fri Feb 19 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.2-1mamba
- update to 0.4.2

* Sat Jun 22 2013 Davide Madrisan <davide.madrisan@gmail.com> 0.3.1-1mamba
- package created by autospec
